aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMirko Vogt <mirko@openwrt.org>2012-12-21 12:10:21 +0000
committerMirko Vogt <mirko@openwrt.org>2012-12-21 12:10:21 +0000
commit1a59d7923796736e8b0820eed7d7fc0e13372b9a (patch)
treea18203eee68f40502240364bd210c12acf01e5d2
parent27d7cb307783ce4913ac27dc0080693c61a615c8 (diff)
downloadmaster-187ad058-1a59d7923796736e8b0820eed7d7fc0e13372b9a.tar.gz
master-187ad058-1a59d7923796736e8b0820eed7d7fc0e13372b9a.tar.bz2
master-187ad058-1a59d7923796736e8b0820eed7d7fc0e13372b9a.zip
[package/base-files] hot-fix nameclash in sysupgrade: rename pivot() to supivot() in sysupgrade
Sysupgrade defines its very own pivot() function. Prior merging boot.sh and functions.sh sysupgrade just included boot.sh, now it includes functions.sh which defines pivot() as well, however slightly different which causes sysupgrade to fail. This is a hot-fix to unbreak sysupgrade, however those two pivot() functions should actually get merged. git-svn-id: svn://svn.openwrt.org/openwrt/trunk@34815 3c298f89-4303-0410-b956-a3cf2f4a3e73
-rw-r--r--package/base-files/files/lib/upgrade/common.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/package/base-files/files/lib/upgrade/common.sh b/package/base-files/files/lib/upgrade/common.sh
index e796c7bacd..2e123ab3cf 100644
--- a/package/base-files/files/lib/upgrade/common.sh
+++ b/package/base-files/files/lib/upgrade/common.sh
@@ -33,7 +33,7 @@ install_bin() { # <file> [ <symlink> ... ]
}; done
}
-pivot() { # <new_root> <old_root>
+supivot() { # <new_root> <old_root>
mount | grep "on $1 type" 2>&- 1>&- || mount -o bind $1 $1
mkdir -p $1$2 $1/proc $1/sys $1/dev $1/tmp $1/overlay && \
mount -o noatime,move /proc $1/proc && \
@@ -62,7 +62,7 @@ run_ramfs() { # <command> [...]
done
install_file /etc/resolv.conf /lib/functions.sh /lib/functions.sh /lib/upgrade/*.sh $RAMFS_COPY_DATA
- pivot $RAM_ROOT /mnt || {
+ supivot $RAM_ROOT /mnt || {
echo "Failed to switch over to ramfs. Please reboot."
exit 1
}